// pages/art/art.js
const app = getApp()
const util = require('../../utils/util.js');
const APIClient = require('../../utils/APIClient.js');
const login = require('../../utils/loginSchedule.js');

Page({
  data: {
    flag: false,
    questionsData: {},
    courseData: {}
  },

  methods: {

  },

  onLoad: function (options) {
  },

  onShow: function () {
    const columnId = util.column('1').columnId;
    /* 区分答疑和分享 */
    let distinction = (type, columnId, success) => {
      login.getOpenidSessionKey(function(res) {
        //console.log(res.data.data.uid);
        APIClient.getProductionSchedule({
          uid: res.data.data.uid
        }, {
          "type": type,
          "columnId": columnId,
          "pageNo": 1,
          "pageSize": 2
        }).success(success)
      }, function() {
        wx.showModal({
          title: '提示',
          content: '需要获取您的公开信息（昵称、头像等），请从小程序列表删除小学王者班后再次扫码进入，允许授权后可正常使用',
          showCancel: false,
          success: function (res) {
            if (res.confirm) {
              console.log('用户点击确定')
            } else if (res.cancel) {
              console.log('用户点击取消')
            }
          }
        })
      });
    };
    /* 答疑 */
    distinction(1, columnId, res => {
      if(res.data.success) {
        console.log(res.data.data)
        this.setData({
          questionsData: res.data.data,
        })
      }
    });
    /*科目信息*/
    login.getOpenidSessionKey((res) => {
      //console.log(res.data.data.uid);
      APIClient.getEachSchedule({
        uid: res.data.data.uid
      }, {
        "category": 1
      }).success((res) => {
        //console.log('科目信息' + JSON.stringify(res));
        this.setData({
          courseData: res.data.data
        })
      })
    }, function() {
      wx.showModal({
        title: '提示',
        content: '需要获取您的公开信息（昵称、头像等），请从小程序列表删除小学王者班后再次扫码进入，允许授权后可正常使用',
        showCancel: false,
        success: function (res) {
          if (res.confirm) {
            console.log('用户点击确定')
          } else if (res.cancel) {
            console.log('用户点击取消')
          }
        }
      })
    });
  },
})
